Subject: Re: linux-next: manual merge of the vfs tree with the nfs-anna tree

From: Al Viro <[email-masked]>
Date: Wed, 5 Feb 2020 22:48:56 +0000

On Thu, Feb 06, 2020 at 09:25:12AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the vfs tree got a conflict in:
> 
>   fs/nfs/dir.c
> 
> between commit:
> 
>   227823d2074d ("nfs: optimise readdir cache page invalidation")
> 
> from the nfs-anna tree and commit:
> 
>   ef3af2d44331 ("nfs: optimise readdir cache page invalidation")
> 
> from the vfs tree.
> 
> I fixed it up (I used the nfs-anna tree version) and can carry the fix
> as necessary. This is now fixed as far as linux-next is concerned, but
> any non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Umm...  OK, I'll redo that merge; FWIW, the only reason I pull that
branch in the first place is that bunch of fixups needed to accomodate
it for work.fs_parse changes.

As soon as nfs-anna lands in mainline, I'm going to send Linus a pull
requrest for work.fs_parse + fixups...